Name:           perl-Test-Exception
Version:        0.43
Release:        10
Summary:        Library of test functions for exception based Perl code
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Exception
Source0:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/Test-Exception-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) perl(base) perl(Carp) perl(Exporter)
BuildRequires:  perl(strict) perl(Sub::Uplevel) >= 0.18 perl(Test::Builder)
BuildRequires:  perl(warnings) perl(overload) perl(Test::Builder::Tester)
BuildRequires:  perl(Test::Harness) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Carp)

%{?perl_default_filter}

%description
This module provides a few convenience methods for testing exception
based code. It is built with Test::Builder and plays happily with
Test::More and friends.

%package help
Summary:        Help documents for perl-Test-Exception package

%description help
Help documents for perl-Test-Exception package.

%prep
%autosetup -n Test-Exception-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Test/

%files help
%{_mandir}/man3/Test::Exception.3*

%changelog
* Sat Feb 29 2020 yanzhihua <yanzhihua4@huawei.com> - 0.43-10
- Package init
